eclipse下android开发时导入v7包时遇到的错误

错误:导入v7包后,引用actionBarActivity提示错误The type android.support.v4.app.TaskStackBuilder$SupportParentable cannot be resolved.It is indirectly referenced from required .class files”

问题根源:因为在复制项目的jar包时,把Eclipse下自带的android-support-v4.jar包复制到了‘android-support-v7-appcompat’ Library项目下,替换掉了原本的android-support-v4.jar,而Eclipse自带的版本较低,导致报错。

解决方案:当然把android-support-v4.jar替换成..\sdk\extras\android\support\v7\appcompat\libs下的android-support-v4.jar

包资源文件:可到该出下载 https://download.csdn.net/download/cx_redhat/10418497

阅读更多
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭